#=
Created on 08 Jun 2021

@author: David Doblas Jiménez
@email: daviddoji@pm.me

Solution for Problem 001 of Project Euler
https://projecteuler.net/problem=1
=#

using BenchmarkTools

function Problem001()
    #=
    If we list all the natural numbers below 10 that are multiples of 3 or 5,
    we get 3, 5, 6 and 9. The sum of these multiples is 23.

    Find the sum of all the multiples of 3 or 5 below 1000.
    =#

    ans = sum(x for x in 0:999 if x % 3 == 0 || x % 5 == 0)

    return ans
end


println("Took:")
@btime Problem001()
println("")
println("Result for Problem $(lpad(1, 3, "0")): ", Problem001())
