using Base: Integer
#=
Created on 25 Jul 2021

@author: David Doblas Jiménez
@email: daviddoji@pm.me

Solution for Problem 15 of Project Euler
https://projecteuler.net/problem=15
=#

using BenchmarkTools

function Problem015()
    #=
    Starting in the top left corner of a 2×2 grid, and only being able to
    move to the right and down, there are exactly 6 routes to the bottom
    right corner.

    How many such routes are there through a 20×20 grid?
    =#

    n = 20
    return BigInt(factorial(big(2n)) / (factorial(n) * big(factorial(2n-n))))
end


println("Took:")
@btime Problem015()
println("")
println("Result for Problem $(lpad(15, 3, "0")): ", Problem015())
