#!/usr/bin/env python
"""
Created on 26 Aug 2017

@author: David Doblas Jiménez
@email: daviddoji@pm.me

Solution for problem 010 of Project Euler
https://projecteuler.net/problem=10
"""

from utils import list_primes, timeit


@timeit("Problem 010")
def compute():
    """
    The sum of the primes below 10 is 2 + 3 + 5 + 7 = 17.

    Find the sum of all the primes below two million.
    """

    ans = sum(list_primes(1_999_999))

    return ans


if __name__ == "__main__":
    print(f"Result for Problem 010: {compute()}")
