Having a bit of fun trying to solve the problems from https://projecteuler.net/archives using different programming languages for learning purposes.

####
Discrepancies in:
  - Problem 11: Python result is 70600674 and in Julia is --
  - Problem 24: Python result is 2783915460 and in Julia is --
  - Problem 31: Python result is 73682 and in Julia is --
  - Problem 35: Python result is 55 and in Julia is --
  - Problem 43: Python result is 16695334890 and in Julia is --
  - Problem 44: Python result is 5482660 and in Julia is --
  - Problem 53: Python result is 4075 and in Julia is --
  - Problem 54: Python result is 376 and in Julia is 0
  - Problem 59: Python result is 129448 and in Julia is --
  - Problem 60: Python result is 26033 and in Julia is nothing
  - Problem 61: Python result is 28684 and in Julia is 49
  - Problem 62: Python result is 127035954683 and in Julia is --

| Problem # |     Result      | T_exec (Python) | T_exec (Julia) |
| :-------: | --------------: | --------------: | -------------: |
|    001    |         233_168 |        0.165 ms |       3.614 μs |
|    002    |       4_613_732 |        0.004 ms |      19.555 ns |
|    003    |           6_857 |        0.314 ms |      14.389 μs |
|    004    |         906_609 |      319.644 ms |       1.707 ms |
|    005    |     232_792_560 |        0.012 ms |     808.461 ns |
|    006    |      25_164_150 |        0.072 ms |       3.158 ns |
|    007    |         104_743 |      304.030 ms |       4.133 ms |
|    008    |  23_514_624_000 |        4.132 ms |     106.910 μs |
|    009    |      31_875_000 |       58.148 ms |     225.199 μs |
|    010    | 142_913_828_922 |      409.924 ms |      11.598 ms |
|    011    |      70_600_674 |        2.082 ms |             -- |
|    012    |      76_576_500 |         4.735 s |     539.773 ms |
|    013    |   5_537_376_230 |       25.673 ms |      69.562 μs |
|    014    |         837_799 |         2.604 s |     106.610 ms |
|    015    | 137_846_528_820 |        0.016 ms |       1.472 μs |
|    016    |           1_366 |        0.083 ms |       3.453 μs |
|    017    |          21_124 |       13.177 ms |      47.304 μs |
|    018    |           1_074 |        0.110 ms |       1.231 μs |
|    019    |             171 |        0.485 ms |      23.468 μs |
|    020    |             648 |        0.069 ms |       2.657 μs |
|    021    |          31_626 |         3.499 s |       4.289 ms |
|    022    |     871_198_282 |       38.466 ms |       4.763 ms |
|    023    |       4_179_871 |         4.207 s |      82.184 ms |
|    024    |   2_783_915_460 |         1.015 s |             -- |
|    025    |           4_782 |       62.040 ms |      29.084 ms |
|    026    |             983 |       99.642 ms |      37.576 ms |
|    027    |         -59_231 |         3.559 s |      22.211 ms |
|    028    |     669_171_001 |        0.393 ms |       3.153 ns |
|    029    |           9_183 |        9.184 ms |       3.797 ms |
|    030    |         443_839 |         3.662 s |      49.453 ms |
|    031    |          73_682 |         3.939 s |             -- |
|    032    |          45_228 |         1.529 s |        1.095 s |
|    033    |             100 |        2.598 ms |       1.340 ms |
|    034    |          40_730 |         5.812 s |     745.659 ms |
|    035    |              55 |        11.863 s |             -- |
|    036    |         872_187 |      307.045 ms |     121.923 ms |
|    037    |         748_317 |      792.588 ms |     451.307 ms |
|    038    |     932_718_654 |       41.107 ms |      18.644 ms |
|    039    |             840 |        24.633 s |      18.115 ms |
|    040    |             210 |      246.492 ms |     127.943 ms |
|    041    |       7_652_413 |        7.185 ms |       4.835 ms |
|    042    |             162 |       26.712 ms |     951.547 μs |
|    043    |  16_695_334_890 |         6.942 s |             -- |
|    044    |       5_482_660 |      331.891 ms |             -- |
|    045    |   1_533_776_805 |       93.169 ms |       8.435 ms |
|    046    |           5_777 |      220.877 ms |      32.964 ms |
|    047    |         134_043 |         1.692 s |     193.265 ms |
|    048    |   9_110_846_700 |       11.318 ms |       2.180 ms |
|    049    | 296_962_699_629 |        3.641 ms |     711.072 μs |
|    050    |         997_651 |        25.066 s |        4.248 s |
|    051    |         121_313 |      602.599 ms |        7.686 s |
|    052    |         142_857 |       32.730 ms |      11.188 ms |
|    053    |           4_075 |       12.028 ms |             -- |
|    054    |             376 |      104.144 ms |       1.895 ns |
|    055    |             249 |       54.781 ms |      70.237 ms |
|    056    |             972 |      163.642 ms |      16.350 ms |
|    057    |             153 |       15.832 ms |       5.855 ms |
|    058    |          26_241 |        13.617 s |        6.752 s |
|    059    |         129_448 |         1.319 s |             -- |
|    060    |          26_033 |        61.160 s |       1.895 ns |
|    061    |          28_684 |       42.680 ms |      84.347 μs |
|    062    | 127_035_954_683 |       27.491 ms |             -- |
