#=
Created on 15 Jun 2021

@author: David Doblas Jiménez
@email: daviddoji@pm.me

Solution for Problem 003 of Project Euler
https://projecteuler.net/problem=3
=#

using BenchmarkTools

function Problem003()
    #=
    The prime factors of 13195 are 5, 7, 13 and 29.

    What is the largest prime factor of the number 600851475143 ?
    =#

    ans = 600_851_475_143
    factor = 2
    while factor * factor < ans
        while ans % factor == 0
            ans = ans ÷ factor
        end
        factor += 1
    end

    return ans
end


println("Took:")
@btime Problem003()
println("")
println("Result for Problem $(lpad(3, 3, "0")): ", Problem003())
