#=
Created on 03 Jul 2021

@author: David Doblas Jiménez
@email: daviddoji@pm.me

Solution for Problem 010 of Project Euler
https://projecteuler.net/problem=10
=#

using BenchmarkTools
using Primes

function Problem010()
    #=
    The sum of the primes below 10 is 2 + 3 + 5 + 7 = 17.

    Find the sum of all the primes below two million.
    =#

    return sum(primes(1_999_999))
end


println("Took:")
@btime Problem010()
println("")
println("Result for Problem $(lpad(10, 3, "0")): ", Problem010())
