#=
Created on 22 Jul 2021

@author: David Doblas Jiménez
@email: daviddoji@pm.me

Solution for Problem 013 of Project Euler
https://projecteuler.net/problem=13
=#

using BenchmarkTools
using DoubleFloats

function Problem013()
    #=
    Work out the first ten digits of the sum of the following one-hundred
    50-digit numbers
    =#

    return string(sum(parse.(BigInt, split(read("files/Problem13.txt", String), "\n")))[1])[1:10]
    # return string(sum(parse.(BigInt, readlines("files/Problem13.txt"))))[1:10]
    # return string(mapreduce(x->parse.(BigInt,x), +, readlines("files/Problem13.txt")))[1:10]

end


println("Took:")
@btime Problem013()
println("")
println("Result for Problem $(lpad(13, 3, "0")): ", Problem013())
