#=
Created on 18 Sep 2021

@author: David Doblas Jiménez
@email: daviddoji@pm.me

Solution for Problem 48 of Project Euler
https://projecteuler.net/problem=48 =#

using BenchmarkTools

function Problem48()
    #=
    The series, 1^1 + 2^2 + 3^3 + ... + 10^10 = 10405071317.

    Find the last ten digits of the series, 1^1 + 2^2 + 3^3 + ... + 1000^1000. =#
    series = sum(big(i)^i for i in 1:1000)
    return string(series)[end - 9:end]
end


println("Time to evaluate Problem $(lpad(48, 3, "0")):")
@btime Problem48()
println("")
println("Result for Problem $(lpad(48, 3, "0")): ", Problem48())
